#!/usr/bin/env python3.2

from pgtoolkit import pgstats, toolbase
from pgtoolkit.highlight import highlight


class LongQueriesTool(toolbase.SimpleTool):
    def __init__(self):
        toolbase.SimpleTool.__init__(self, name='longqueries', desc='List long queries.')
        self.init()

    def main(self):
        stats = pgstats.PgStats(self.pgm.get_conn('target'))

        for ln in stats.list_long_queries('1m'):
            print(highlight(1), 'backend PID: ', ln['procpid'], ', query_start: ', ln['query_start'].strftime('%F %T'), highlight(0), sep='')
            print(ln['query'])
            print()


tool = LongQueriesTool()
tool.main()

